@import "vars"

/*==========  Desktop First  ==========*/
/* Large Devices, Wide Screens */
@media only screen and (max-width: 1599px)
  .header
    .wrapper_image
      width: 36vw
      margin-left: 1.5vw
  .approach::before
    top: -22vw
  .projects::after
    left: -107vw
    border-top-color: #ffffff
  .projects::before
    border-bottom-color: #ffffff
/**/

/* Large Devices, Wide Screens */
@media only screen and (max-width: 1366px)
  .projects::after
    left: -119vw
  .hobby
    &::before
      left: -40vw
  /**/

/* Large Devices, Wide Screens */
@media only screen and (max-width: 1200px)
  .projects::after
    left: -140vw
  .projects__subCapt
    margin-top: 23vw
  .hobby::before
      bottom: -61vw
      border-top: 80vw solid transparent
      border-right: 160vw solid #ffffff
      border-bottom: 80vw solid transparent

  /**/


/* Medium Devices, Desktops */
@media only screen and (max-width: 991px)
  .socialList__link
    color: #50bda8
    font-size: 4rem

  .header
    .wrapper_image
      position: relative
      margin-left: 0
      width: 300px
      height: 300px
      overflow: hidden
      border-radius: 50%
      border: 2px solid #fff

  .header
    padding-bottom: 50vw
    &::after
      top: initial
      left: -158vw
    &__capt
      margin-top: 3rem
    &__captSpan
      font-size: 3rem
      &:first-child
        font-size: 1.5rem
    &__subCapt
      font-size: 1.5rem
      margin-top: 2rem
    &-aboutList
      flex-direction: column
      &__item
        width: 100%
        &:last-child
          li:first-child
            border: none
      &__inner
        li
          font-size: 1.4rem
          padding: .4rem 0


  .education
    padding-top: 0
    &::before
      top: -51vw
    &-list
      width: 90%
      margin: 3rem auto 0

      &__item
        font-size: 1.4rem
        padding-left: 2.8rem
        padding-bottom: 3rem
        &::before
          width: 3.5rem
          height: 3.5rem
          border-width: 2px
    &__span
      font-size: 1.5rem
  h2
    font-size: 2rem !important
    span
      font-size: 1.5rem !important
  h3
    font-size: 2rem
  p
    font-size: 1.4rem !important


    &-figure
      &__innerText
        span
          font-size: 1.4rem
  .education-figure
    &__innerText
      span
        font-size: 1.9rem
      strong
        font-size: 3rem
    &__list
      li
        font-size: 1.4rem
        margin-bottom: 1rem
        padding-left: 2.3rem
        &::before
          width: 1.2rem
          height: 1.2rem

  .approach
    &::before
      top: -23vw
      //border-bottom: 200vw solid #f1f1f1
      border-bottom: 200vw solid #f1f1f1
      border-right: 400vw solid transparent
      z-index: 12
    &__capt
      span
        font-size: 2rem !important
        &:first-child
          font-size: 1.5rem !important
    &__text
      margin-top: 3rem
    &-list
      padding: 0
      width: 84%
      margin: 3rem auto 10rem
      &__item
        .approach-list__inner
          display: flex
          flex-direction: column

      &__innerItem
        width: 8rem
        margin: 0 auto
        span
          &:first-child
            width: 3.5rem !important
            height: 3.5rem !important
            border-width: 2px !important
            display: flex
            align-items: center
            i
              font-size: 2rem
            img
              width: 2rem
          &:last-child
            font-size: .6rem
            margin-left: -1rem

  .projects
    background-color: #f1f1f1
    &::after
      left: -230vw
      border-top: 250vw solid #ffffff
      border-left: 500vw solid transparent


    &__link
      font-size: 1.4rem
      width: 280px
      padding: 1.5rem 0
      border-width: 2px
      border-radius: 3rem

  .comments::before
    background-image: none
    background-color: #f1f1f1
  .comments-owl
    &__wrap-img
      width: 210px
      height: 210px

  .owl-figure-item__capt
    font-size: 2rem
  .comments::after
    //top: -10vw
    border-bottom: 70vw solid transparent
    border-left: 140vw solid #28b197
    border-top: 70vw solid transparent

  .hobby-figure__capt
    font-size: 1.5rem
    margin-top: 3rem
    margin-bottom: 3rem

  .hobby-figure
    margin-bottom: 2rem

  .hobby
    background-color: #f1f1f1
  .footer
    &__capt
      span
        font-size: 2rem !important
        &:first-child
          font-size: 1.5rem !important
    &__contactsCapt
      font-size: 1.5rem
    &-form
      width: 90%
      margin: 2rem auto 0
      input, textarea
        font-size: 1.4rem
        padding: 1.5rem 0 1.5rem 1rem
        border-width: 2px
        border-radius: 1.5rem
        margin: 1rem 0

      &__btn
        border-radius: 3rem !important
        border-width: 2px !important

  .footer-contactsList__item
    display: flex
    flex-direction: column
    font-size: 1.2rem

  .footer__contactsCapt, .footer__contactsText
    text-align: center
    margin: 1rem 0
  .projects-list
    &__item
      width: 90%
      margin: 2rem auto

  .nav
    padding: 1rem 0
    &-logo
      &__img
        width: 100%
        z-index: 200

    &-list
      position: fixed
      top: 0
      bottom: 0
      left: 0
      right: 0
      align-content: center
      justify-content: center
      flex-direction: column
      min-height: 100vh
      background-color: rgba(83, 91, 105, 0.9)
      transform: translateX(-100%)
      transition: all .3s ease-in-out
      padding-left: 2rem
      padding-right: 2rem
      &__link
        font-size: 1.5rem
        display: flex
        justify-content: center
        padding: 2rem 0


    &-btnBurger
      &:checked ~ &__label::before
        border: none
        height: 4px
        background-color: $yellow
        top: 50%
        transform: translateY(-50%) rotate(45deg)
      &:checked ~ &__label::after
        transform: translateY(-50%) rotate(-45deg)
      &:checked ~ .nav-list
        display: flex
        transform: translateX(0%)


      &__label
        display: flex
        width: 4rem
        height: 4rem
        border-radius: 6px
        border: 2px solid $yellow
        z-index: 200
        &::before
          content: ''
          position: absolute
          top: 5px
          bottom: 5px
          left: 5px
          right: 5px
          border-top: 4px solid $yellow
          border-bottom: 4px solid $yellow
          transition: all .3s ease-in-out
        &::after
          content: ''
          position: absolute
          left: 5px
          right: 5px
          height: 4px
          background-color: $yellow
          top: 50%
          transform: translateY(-50%)
          transition: all .3s ease-in-out


/**/


/* Small Devices, Tablets */
@media only screen and (max-width: 768px)
  .approach::before
    border-bottom: 300vw solid #f1f1f1
    border-right: 600vw solid transparent
  .projects-list
    &__item
      width: 100%

  .comments
    padding-top: 40vw
    &::after
      top: 0
      border-bottom: 100vw solid transparent
      border-left: 200vw solid #28b197
      border-top: 100vw solid transparent
  .hobby
    padding-top: 40vw
  /**/


/* Extra Small Devices, Phones */
@media only screen and (max-width: 480px)
  .header
    .wrapper_image
      width: 250px
      height: 250px
      margin: 0 auto
  .approach::before
    border-bottom: 400vw solid #f1f1f1
    border-right: 800vw solid transparent
  .comments
    &::after
      border-bottom: 150vw solid transparent
      border-left: 300vw solid #28b197
      border-top: 150vw solid transparent
  .hobby
    padding-top: 90vw
  .education-figure__innerText
    span
      font-size: 1.3rem
  .comments-owl
    &__wrap-img
      width: 140px
      height: 140px

  /**/


/* Custom, iPhone Retina */
@media only screen and (max-width: 320px)
  /**/



 /*===================================*/

@media (min-width: 320px) and (max-width: 991px)
  h1
    font-size: calc( 1.5rem + 16 * (100vw - 320px) / (960 - 320) )
    line-height: calc( 120% + 3.2 * (100vw - 960px) / (320 - 960) )

  h2
    font-size: calc( 1.5rem + 16 * (100vw - 320px) / (960 - 320) )
    line-height: calc( 120% + 3.2 * (100vw - 960px) / (320 - 960) )

  p
    font-size: calc( 1.5rem + 0 * (100vw - 320px) / (960 - 320) )
    line-height: calc( 120% + 10 * (100vw - 960px) / (320 - 960) )


/*==========  Mobile First  ==========*/

/* Custom, iPhone Retina */
@media only screen and (min-width: 320px)
  /**/


/* Extra Small Devices, Phones */
@media only screen and (min-width: 480px)
  /**/


/* Small Devices, Tablets */
@media only screen and (min-width: 768px)
  /**/


/* Medium Devices, Desktops */
@media only screen and (min-width: 992px)
  /**/


/* Large Devices, Wide Screens */
@media only screen and (min-width: 1200px)
  /**/

/* Large Devices, Wide Screens */
@media only screen and (min-width: 1366px)
  /**/

/* Large Devices, Wide Screens */
@media only screen and (min-width: 1600px)
  .container
    max-width: 62%
  /**/

